Bug 442866 - rhsalinfo_decode2-0.5 does not recognize -f option
rhsalinfo_decode2-0.5 does not recognize -f option
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: salinfo (Show other bugs)
4.6
ia64 Linux
medium Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 05:59 EDT by Milos Malik
Modified: 2008-12-02 08:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 08:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL4 fix for this issue (642 bytes, patch)
2008-04-17 08:56 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Milos Malik 2008-04-17 05:59:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
The usage message of rhsalinfo_decode2-0.5 utility claims that parameters "-f" and "--forgiving" are equivalent, but the utility doesn't know the parameter "-f". Parameter "--forgiving" is recognized which is correct.

Following line is cut out of the usage message:
-f  --forgiving    be forgiving of errors when opening files and reading data

Version-Release number of selected component (if applicable):
salinfo-0.5-1.13

How reproducible:
Always


Steps to Reproduce:
1. /usr/sbin/rhsalinfo_decode2-0.5 -f


Actual Results:
/usr/sbin/rhsalinfo_decode2-0.5: invalid option -- f
salinfo_decode2 Version0.5-11chaos Copyright 2004 Red Hat Inc.
This is free software with ABSOLUTELY NO WARRANTY.

usage: salinfo_decode2 [options] [database...]
-h  --help         print this usage and exit
-V  --version      print version information and exit

-c  --cmc          only print cmc records
-p  --cpe          only print cpe records
-m  --mca          only print mca records
-i  --init         only print init records
-d  --dimm-offset  count dimms starting at 1 not 0.
-o  --cpu-offset   count cpus starting at 1 not 0.
--tiger4           the same as -d & -o
-f  --forgiving    be forgiving of errors when opening files and reading data
-r  --recursive    when a database is a directory traverse its subdirs
-v  --verbosity    specify the verbosity to print records.
        Verbosity can be 1-6
-s  --scriptable   output in a machine readable format
[database] defaults to stdin if not specified
A database can either be a file containing one of many salinfo records or
a directory containing files with salinfo records

Expected Results:
No message "invalid option".

Additional info:
Comment 1 Prarit Bhargava 2008-04-17 08:56:10 EDT
Created attachment 302743 [details]
RHEL4 fix for this issue
Comment 2 RHEL Product and Program Management 2008-10-31 12:48:58 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Prarit Bhargava 2008-12-02 08:04:19 EST
With RHEL4.8 as the next release and this being a low priority issue, I'm
closing this as WONTFIX.

P.

Note You need to log in before you can comment on or make changes to this bug.